Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(10)

Issue 808273002: Modernize CJK default font prefs on Mac/Windows/Linux (Closed)

Created:
4 years, 1 month ago by jungshik at Google
Modified:
4 years, 1 month ago
Reviewers:
falken, Nico
CC:
chromium-reviews, jshin+watch_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Modernize CJK default font prefs on Mac/Windows/Linux On Mac, set the Korean standard/sans-serif/web UI fonts to Apple SD Gothic Neo instead of 20(?)-year old 'AppleGothic'. On Windows (again replacing ~20 year old fonts with more modern fonts) : 1. ko/{std,sans-serif} : Gulim -> Malgun Gothic 2. ja/{std,sans-serif} : MS PGothic -> Meiryo 3. zh-CN/{std,sans-serif} : Simsun -> Microsoft YaHei 4. zh-TW/{std,sans-serif} : PMingLiu -> Microsoft JhengHei The Windows change will make the default font for web pages (user can changes in sesttings) the same as that used in Chrome's web UI on Windows Vista or later. On Linux, add 'Noto Sans CJK {JP,KR,SC,TC} at the beginning of the web UI font fallback list. If they're installed, they'll be used (more in line with Chrome OS). If not, other fonts will be used. BUG=368568 TEST=On Windows, the fonts listed above are used (per dom inspector). data:text/html,<span lang="ko">&#xac00;</span> data:text/html,<span lang="ja">&#x304b;&#x30ab;&#x4e00;</span> data:text/html,<span lang="zh-CN">&#x4e00;&#x65e5;</span> data:text/html,<span lang="zh-TW">&#x4e00;&#x65e5;</span> Committed: https://crrev.com/b964e3614ed0e915a2c46a09d46c32152919b8a9 Cr-Commit-Position: refs/heads/master@{#309321}

Patch Set 1 #

Total comments: 9

Patch Set 2 : add back old ko fonts for linux #

Unified diffs Side-by-side diffs Delta from patch set Stats (+25 lines, -19 lines) Patch
M chrome/app/resources/locale_settings_mac.grd View 2 chunks +2 lines, -2 lines 0 comments Download
M chrome/app/resources/locale_settings_win.grd View 6 chunks +8 lines, -8 lines 0 comments Download
M chrome/app/resources/platform_locale_settings/locale_settings_mac_ko.xtb View 1 chunk +2 lines, -2 lines 0 comments Download
M chrome/app/resources/platform_locale_settings/locale_settings_win_ko.xtb View 1 chunk +2 lines, -2 lines 0 comments Download
M ui/strings/translations/app_locale_settings_ja.xtb View 1 chunk +1 line, -1 line 0 comments Download
M ui/strings/translations/app_locale_settings_ko.xtb View 1 1 chunk +2 lines, -2 lines 0 comments Download
M ui/strings/translations/app_locale_settings_zh-CN.xtb View 1 chunk +4 lines, -1 line 0 comments Download
M ui/strings/translations/app_locale_settings_zh-TW.xtb View 1 chunk +4 lines, -1 line 0 comments Download

Messages

Total messages: 10 (2 generated)
jungshik at Google
Can you take a look? Thanks
4 years, 1 month ago (2014-12-19 17:44:17 UTC) #2
Nico
Please excuse my basic questions. https://codereview.chromium.org/808273002/diff/1/ui/strings/translations/app_locale_settings_ko.xtb File ui/strings/translations/app_locale_settings_ko.xtb (right): https://codereview.chromium.org/808273002/diff/1/ui/strings/translations/app_locale_settings_ko.xtb#newcode11 ui/strings/translations/app_locale_settings_ko.xtb:11: <translation id="IDS_WEB_FONT_FAMILY">Helvetica,Apple SD Gothic ...
4 years, 1 month ago (2014-12-19 19:38:38 UTC) #3
jungshik at Google
https://codereview.chromium.org/808273002/diff/1/ui/strings/translations/app_locale_settings_ko.xtb File ui/strings/translations/app_locale_settings_ko.xtb (right): https://codereview.chromium.org/808273002/diff/1/ui/strings/translations/app_locale_settings_ko.xtb#newcode11 ui/strings/translations/app_locale_settings_ko.xtb:11: <translation id="IDS_WEB_FONT_FAMILY">Helvetica,Apple SD Gothic Neo, AppleGothic,sans-serif</translation> On 2014/12/19 19:38:38, ...
4 years, 1 month ago (2014-12-19 23:21:14 UTC) #4
Nico
lgtm with ",UnDotum,Baekmuk Gulim" added to the linux lines https://codereview.chromium.org/808273002/diff/1/chrome/app/resources/locale_settings_win.grd File chrome/app/resources/locale_settings_win.grd (right): https://codereview.chromium.org/808273002/diff/1/chrome/app/resources/locale_settings_win.grd#newcode216 chrome/app/resources/locale_settings_win.grd:216: ...
4 years, 1 month ago (2014-12-19 23:25:33 UTC) #5
jungshik at Google
Thanks for the review. https://codereview.chromium.org/808273002/diff/1/chrome/app/resources/locale_settings_win.grd File chrome/app/resources/locale_settings_win.grd (right): https://codereview.chromium.org/808273002/diff/1/chrome/app/resources/locale_settings_win.grd#newcode216 chrome/app/resources/locale_settings_win.grd:216: <message name="IDS_STANDARD_FONT_FAMILY_JAPANESE" use_name_for_id="true"> On 2014/12/19 ...
4 years, 1 month ago (2014-12-20 00:56:32 UTC) #6
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/808273002/20001
4 years, 1 month ago (2014-12-20 01:04:06 UTC) #8
commit-bot: I haz the power
Committed patchset #2 (id:20001)
4 years, 1 month ago (2014-12-20 02:01:46 UTC) #9
commit-bot: I haz the power
4 years, 1 month ago (2014-12-20 02:02:42 UTC) #10
Message was sent while issue was closed.
Patchset 2 (id:??) landed as
https://crrev.com/b964e3614ed0e915a2c46a09d46c32152919b8a9
Cr-Commit-Position: refs/heads/master@{#309321}

Powered by Google App Engine
This is Rietveld 408576698